package com.ruoyi.system.domain.vo;

import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.system.domain.SysTenant;
import lombok.Data;

/**
 * @author ：zhangbaoyu
 * @date ：Created in 2020/10/25 12:27
 */
@Data
public class ReqBusinessAddTenant extends SysTenant {

    private String emailAddress;

    private String sex;

    private String username;

    private String password;

    private String checkPass;

    public SysUser transferToSysUser() {
        SysUser sysUser = new SysUser();
        sysUser.setUserName(this.getUsername());
        sysUser.setPassword(this.getPassword());
        sysUser.setNickName(this.getContactName());
        sysUser.setPhonenumber(this.getContactPhone());
        sysUser.setEmail(this.getEmailAddress());
        return sysUser;
    }



}
